{************************************************************************}
{************************************************************************}
{* Modul:       adhelp.pas                                              *}
{************************************************************************}
{* Inhalt:      Ausgabe des Hilfe-Textes fr Advanced Directory         *}
{************************************************************************}
{* Funktion:    Ausgabe des Hilfetextes fr Advanced Dir                *}
{************************************************************************}
{* Version:     0.59                                                    *}
{* Autor:       Thomas Mainka                                           *}
{* bersetzer:  Peter Karlsson  (Schwedisch)                            *}
{* Datum:       02.Apr.2000                                             *}
{* Vernderung: -                                                       *}
{************************************************************************}
{* Revision:    0.10 Erste Version (zu ADIR 0.20)                       *}
{*              ...                                                     *}
{*              0.32 Anpassung der Revisionsnummer und des HilfeTextes  *}
{*              0.34 Auswahl der Hilfetext-Sprache ber die Variable    *}
{*                   Language aus ADString.                             *}
{*              0.54 Zweiseitiger Hilfetext fr Sonderformate und       *}
{*                   -funktionen.                                       *}
{*              0.54a Entfernung der CRT-Unit.                          *}
{*              0.58a Erweiterung des Hilfe-Textes um /XW-Switch.       *}
{************************************************************************}
{* Routinen:    Help2Ger        (lokal)                                 *}
{*              HelpGer         (lokal)                                 *}
{*              Help2Eng        (lokal)                                 *}
{*              HelpEng         (lokal)                                 *}
{*              HelpSwe         (lokal)                                 *}
{*              Help                                                    *}
{************************************************************************}
Unit ADHelp;
{$I-,S-}
{$M 8192,8192,655360}

interface

Procedure Help;
Procedure ErrHelp(Msg:String);

implementation
uses nls,adstring,adansi;

Var      C         : Char;

{************************************************************************}
{* Routine:     Help2Ger                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des zweiten deutschen Hilfe-Bildschirms.        *}
{* Definition:  Procedure Help2Ger;                                     *}
{************************************************************************}

Procedure Help2Ger;
begin
   Writeln(' Sonder-Ausgabeformate:');
   Writeln;
   Writeln(' /XD         Ausgabe im DESCRIPT.ION-Format von 4DOS o. NDOS');
   Writeln(' /XF         Ausgabe im Files.BBS-Format');
   Writeln(' /XT         Trouble-Shooting Ausgabe');
   Writeln(' /XW         Ausgabe im verbreitertem Format (nur bei Ausgabe-Umleitung)');
   Writeln;
   Writeln(' Sonderfunktionen:');
   Writeln;
   Writeln(' /XX         Test unerkannter Dateien auf Plain-ASCII und EXE-Format');
end;

{************************************************************************}
{* Routine:     HelpGer                                                 *}
{************************************************************************}
{* Inhalt:      Ausgabe des deutschen Hilfe-Bildschirms.                *}
{* Definition:  Procedure HelpGer;                                      *}
{************************************************************************}

Procedure HelpGer;
begin
   Writeln(' Advanced Dir Vers. 0.59');
   Writeln;
   Writeln('ADIR [Laufwerk:][Pfad][Dateiname] [/P] [/B] [/W] [/A[[:]Attribute]]');
   Writeln('  [/O[[:]Reihenfolge]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln;
   Writeln(' [Laufwerk:][Pfad][Dateiname]');
   Writeln('             Bezeichnt aufzulistendes Laufwerk, Verzeichnis und/oder Dateien');
   Writeln(' /P          Pausiert nach jeder vollen Bildschirmseite.');
   Writeln(' /B          Verwendet einfaches Format ohne Header und Infos.');
   Writeln(' /W          Verwendet Breitformat fr die Auflistung.');
   Writeln(' /A          Listet Dateien mit bestimmten Attributen. Abkrzungen wie folgt:');
   Writeln('  Attribute  D  Verzeichnisse          R  Schreibgeschtze Dateien');
   Writeln('             H  Versteckte Dateien     A  Zu Archivierende Dateien');
   Writeln('             S  Systemdateien          -  vorangestellt dreht Bedeutung um');
   Writeln(' /O          Listet Dateien sortiert auf. Abkrzungen wie folgt:');
   Writeln('  Sortiert nach: N  Name (alphabetisch)    S  Gre (kleinere zuerst)');
   Writeln('                 K  Kurztyp ( - " - )      D  Datum/Zeit (ltere zuerst)');
   Writeln('                 G  Verzeichnisse zuerst   -  vorangestellt dreht Sortierung um');
   Writeln(' /S          Listet Dateien im Verzeichnis und dessen Unterverzeichnissen auf');
   Writeln(' /D          Benutzt zur Ausgabe ber ANSI-Treiber keine Farbe');
   Writeln(' /Xx         Ausgabe in einem Sonderformat oder Sonderfunktion (siehe 2.Seite)');
   Writeln(' /?          Gibt diesen Hilfetext aus.');
   Writeln;
   Writeln(Error,'Fr die 2. Hilfeseite <2> drcken - Jede andere Taste bricht die Hilfe ab.');
   Wait4Key(c);
   if C='2' then Help2Ger;
end;

{************************************************************************}
{* Routine:     HelpEGer                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des deutschen Fehler-Hilfe-Bildschirms.         *}
{* Definition:  Procedure HelpEGer(Msg:String);                         *}
{************************************************************************}

Procedure HelpEGer(Msg:String);
begin
   Writeln(Error,' Advanced Dir Vers. 0.59');
   Writeln(Error);
   Writeln(Error,'ADIR [Laufwerk:][Pfad][Dateiname] [/P] [/B] [/W] [/A[[:]Attribute]]');
   Writeln(Error,'  [/O[[:]Reihenfolge]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln(Error);
   Writeln(Error,Msg);
   Writeln(Error);
   Writeln(Error,'Fr die volle Hilfe <?> drcken - Jede andere Taste bricht die Hilfe ab.');
   Wait4Key(c);
   if C='?' then HelpGer;
end;

{************************************************************************}
{* Routine:     Help2Eng                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des zweiten englischen Hilfe-Bildschirms.       *}
{* Definition:  Procedure Help2Eng;                                     *}
{************************************************************************}

Procedure Help2Eng;
begin
   Writeln(' Special output formats:');
   Writeln;
   Writeln(' /XD         Uses DESCRIPT.ION format (4DOS or NDOS resp.)');
   Writeln(' /XF         Uses Files.BBS format');
   Writeln(' /XT         Produce Trouble-Shooting output');
   Writeln(' /XW         Produce wider Output (only with output redirection)');
   Writeln;
   Writeln(' Special functions:');
   Writeln;
   Writeln(' /XX         Tests unrecognized files for Plain-ASCII and EXE format');
end;

{************************************************************************}
{* Routine:     HelpEng                                                 *}
{************************************************************************}
{* Inhalt:      Ausgabe des englischen Hilfe-Bildschirms.               *}
{* Definition:  Procedure HelpEng;                                      *}
{************************************************************************}

Procedure HelpEng;
begin
   Writeln(' Advanced Dir Rel. 0.59');
   Writeln;
   Writeln('ADIR [drive:][path][filename] [/P] [/B] [/W] [/A[[:]attributes]]');
   Writeln('  [/O[[:]sortorder]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln;
   Writeln(' [drive:][path][filename]');
   Writeln('             Specifies drive, directory, and/or files to list.');
   Writeln(' /P          Pauses after each screenful of information.');
   Writeln(' /B          Uses bare format (no heading information or summary).');
   Writeln(' /W          Uses wide list format.');
   Writeln(' /A          Displays files with specified attributes.');
   Writeln('  attributes D  Directories            R  Read-only files');
   Writeln('             H  Hidden files           A  Files ready for archiving');
   Writeln('             S  System files           -  Prefix meaning "not"');
   Writeln(' /O          List files in sorted order.');
   Writeln('  sortorder    N  By name (alphabetic)     S  By size (smallest first)');
   Writeln('               K  By short type ( - " - )  D  By date/time (earliest first)');
   Writeln('               G  Group directories first  -  Prefix to reverse order');
   Writeln(' /S          Displays files in specified directory and all subdirectories.');
   Writeln(' /D          Uses no color on output through ANSI-driver');
   Writeln(' /Xx         Uses special output format or special function (see page 2)');
   Writeln(' /?          Shows this help page.');
   Writeln;
   Writeln(Error,'Press <2> for 2nd Helppage - Every other key abborts the helpfunction');
   Wait4Key(c);
   if C='2' then Help2Eng;
end;

{************************************************************************}
{* Routine:     HelpEEng                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des englischen Fehler-Hilfe-Bildschirms.        *}
{* Definition:  Procedure HelpEEng(Msg:String);                         *}
{************************************************************************}

Procedure HelpEEng(Msg:String);
begin
   Writeln(Error,' Advanced Dir Rel. 0.59');
   Writeln(Error);
   Writeln(Error,'ADIR [drive:][path][filename] [/P] [/B] [/W] [/A[[:]attributes]]');
   Writeln(Error,'  [/O[[:]sortorder]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln(Error);
   Writeln(Error,Msg);
   Writeln(Error);
   Writeln(Error,'Press <2> for 2nd Helppage - Every other key abborts the helpfunction');
   Wait4Key(c);
   if C='2' then Help2Eng;
end;

{************************************************************************}
{* Routine:     Help2Swe                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des zweiten swedischen Hilfe-Bildschirms.       *}
{************************************************************************}
{* Definition:  Procedure Help2Swe;                                     *}
{************************************************************************}

Procedure Help2Swe;
begin
   Writeln(' Speciella utmatningsformat:');
   Writeln;
   Writeln(' /XD         Anvnder DESCRIPT.ION-format (4DOS resp. NDOS)');
   Writeln(' /XF         Anvnder Files.BBS-format');
   Writeln(' /XT         Producerar "troubleshooting"-visning');
   Writeln(' /XW         Utmatning i breddat format (endast vid omdirigering)');
   Writeln;
   Writeln(' Specialfunktioner:');
   Writeln;
   Writeln(' /XX         Testar oigenknda filer fr ren text- och EXE-formaten');
end;

{************************************************************************}
{* Routine:     HelpSwe                                                 *}
{************************************************************************}
{* Inhalt:      Ausgabe des schwedischen Hilfe-Bildschirms.             *}
{* Definition:  Procedure Help;                                         *}
{************************************************************************}

Procedure HelpSwe;
begin
   Writeln(' Advanced Dir ver. 0.59');
   Writeln;
   Writeln('ADIR [enhet:][skvg][filnamn] [/P] [/B] [/W] [/A[[:]attribut]');
   Writeln('  [/O[[:]sortord]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln;
   Writeln(' [enhet:][skvg][filnamn]');
   Writeln('             Anger enhet, katalog och filer som ska visas.');
   Writeln(' /P          Visar information en skrmbild i taget.');
   Writeln(' /B          Ger enkelt format (utan inledande information och sammanfattning).');
   Writeln(' /W          Visar filer och kataloger i kolumner.');
   Writeln(' /A          Visar filer med angivna attribut. Frkortningar som fljer:');
   Writeln('  attribut   D  Kataloger              R  Skrivskyddade filer');
   Writeln('             H  Dolda filer            A  Arkivklara filer');
   Writeln('             S  Systemfiler            -  Prefix fr "inte"');
   Writeln(' /O          Ger en lista enligt angiven sorteringsordning. Frkortningar:');
   Writeln('  Sortera efter: N  Namn (alfabetisk)         S  Storlek (minst frst)');
   Writeln('                 K  Typfrkortning (-"-)      D  Datum och tid (ldst frst)');
   Writeln('                 G  Gruppera kataloger frst  -  Prefix fr omvnd ordning');
   Writeln(' /S          Visar filer i angiven katalog och i alla underkataloger.');
   Writeln(' /D          Anvnder ingen ANSI-frg fr utskriften.');
   Writeln(' /Xx         Anvnder speciella utformat eller specialfunktioner (se sida 2)');
   Writeln(' /?          Visar denna hjlptext.');
   Writeln;
   Writeln(Error,'Tryck <2> fr hjlpsida 2 - Alla andra tangenter avbryter hjlpen');
   Wait4Key(c);
   if C='2' then Help2Swe;
end;

{************************************************************************}
{* Routine:     HelpESwe                                                *}
{************************************************************************}
{* Inhalt:      Ausgabe des schwedischen Fehler-Hilfe-Bildschirms.      *}
{* Definition:  Procedure HelpESwe(Msg:String)                          *}
{************************************************************************}

Procedure HelpESwe(Msg:String);
begin
   Writeln(Error,' Advanced Dir ver. 0.59');
   Writeln(Error);
   Writeln(Error,'ADIR [enhet:][skvg][filnamn] [/P] [/B] [/W] [/A[[:]attribut]');
   Writeln(Error,'  [/O[[:]sortord]] [/S] [/D] [/XD] [/XF] [/XT] [/XW] [/XX] [/?]');
   Writeln(Error);
   Writeln(Error,Msg);
   Writeln(Error);
   Writeln(Error,'Tryck <?> fr hjlp - Alla andra tangenter avbryter hjlpen');
   Wait4Key(c);
   if C='?' then HelpSwe;
end;

{************************************************************************}
{* Routine:     Help                                                    *}
{************************************************************************}
{* Inhalt:      Ausgabe des Hilfe-Bildschirms.                          *}
{* Definition:  Procedure Help;                                         *}
{************************************************************************}

Procedure Help;
begin
   if Language='SWE' then HelpSwe
   else if Language='ENG' then HelpEng
   else HelpGer;
   Close(Error);
end;

{************************************************************************}
{* Routine:     ErrHelp                                                 *}
{************************************************************************}
{* Inhalt:      Ausgabe des Fehler-Hilfe-Bildschirms.                   *}
{* Definition:  Procedure ErrHelp(Msg: String);                         *}
{************************************************************************}

Procedure ErrHelp(Msg: String);
begin
   if Language='SWE' then HelpESwe(Msg)
   else if Language='ENG' then HelpEEng(Msg)
   else HelpEGer(Msg);
   Close(Error);
end;

{************************************************************************}
{* Routine:     Hauptprogramm                                           *}
{************************************************************************}
{* Inhalt:      - (keine Vorinitialisierung notwendig)                  *}
{************************************************************************}

begin
end.
